type APIOptions = {
    /** @example 'netlify/js-client' */
    userAgent?: string;
    /** @example 'https' */
    scheme?: string;
    /** @example 'api.netlify.com' */
    host?: string;
    /** @example '/api/v1' */
    pathPrefix?: string;
    accessToken?: string;
    /** @example 'HttpsProxyAgent' */
    agent?: string;
    /**
     * parameters you want available for every request.
     * Global params are only sent of the OpenAPI spec specifies the provided params.
     */
    globalParams?: Record<string, unknown>;
};
export declare class NetlifyAPI {
    #private;
    defaultHeaders: Record<string, string>;
    /** The protocol is used like `https` */
    scheme: string;
    host: string;
    pathPrefix: string;
    agent?: string;
    globalParams: Record<string, unknown>;
    constructor(options?: APIOptions);
    constructor(accessToken: string | undefined, options?: APIOptions);
    /** Retrieves the access token */
    get accessToken(): string | null;
    set accessToken(token: string | null);
    get basePath(): string;
    getAccessToken(ticket: any, { poll, timeout }?: {
        poll?: number | undefined;
        timeout?: number | undefined;
    }): Promise<string>;
    showTicket(_config: {
        ticketId: string;
    }): Promise<{
        authorized: boolean;
    }>;
    exchangeTicket(_config: {
        ticketId: string;
    }): Promise<{
        access_token: string;
    }>;
}
export declare const methods: any[];
export {};
